Page MenuHomePhabricator

Please add mehrnews.com to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

Mehr is an Iranian news agency which publishes its content under a CC BY 4.0 license. Here you can see the multimedia section of the website with many useful images for Wikipedia articles. It even has its own category and a custom license template on Wikimedia Commons.

Event Timeline

4nn1l2 created this task.Jan 16 2019, 8:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 8:00 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJan 17 2019, 8:18 AM

Change 485489 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Add few domains at $wgCopyUploadsDomains and cleanup inline comments

https://gerrit.wikimedia.org/r/485489

Urbanecm triaged this task as Normal priority.Jan 20 2019, 4:15 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 485489 merged by jenkins-bot:
[operations/mediawiki-config@master] Add few domains at $wgCopyUploadsDomains and cleanup inline comments

https://gerrit.wikimedia.org/r/485489

Mentioned in SAL (#wikimedia-operations) [2019-01-24T12:36:52Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:485489|Add few domains at $wgCopyUploadsDomains and cleanup inline comments (T213961 T213632 T213649 T213924)]] (duration: 00m 53s)

Zoranzoki21 closed this task as Resolved.Jan 24 2019, 2:06 PM
4nn1l2 reopened this task as Open.Jan 24 2019, 7:42 PM

I couldn't upload https://media.mehrnews.com/d/2018/12/15/4/2984492.jpg from mehrnews.com (link to the gallery page).

You shoud have added *.mehrnews.com to the whitelist.

I couldn't upload https://media.mehrnews.com/d/2018/12/15/4/2984492.jpg from mehrnews.com (link to the gallery page).

You shoud have added *.mehrnews.com to the whitelist.

I am sorry, I will fix this.

Change 492448 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Added and subdomains of mehrnews.com to wgCopyUploadDomains

https://gerrit.wikimedia.org/r/492448

Zoranzoki21 moved this task from Inbox to To deploy on the User-Zoranzoki21 board.Feb 23 2019, 6:51 AM

@4nn1l2 Can you confirm that the only domain wanted is media.mehrnews.com?

4nn1l2 added a comment.Mar 3 2019, 3:59 PM

@Framawiki Confirmed. Thank you.

Ok, I will add media.mehrnews.com

Change 492448 merged by jenkins-bot:
[operations/mediawiki-config@master] wgCopyUploadDomains: Changed domain for mehrnews.com

https://gerrit.wikimedia.org/r/492448

Zoranzoki21 closed this task as Resolved.Mon, Mar 25, 10:23 PM

Merged, forgot to close as resolved.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMon, Mar 25, 10:23 PM